From: John Stone (johns_at_ks.uiuc.edu)
Date: Mon Aug 28 2006 - 11:37:48 CDT

Hi,
  Which NVidia driver version are you using? The problem of course is
that there's a bug in the driver, but it would be useful to know which
driver that is. My guess is that your driver may be just a bit too
old and doesn't correctly support the "glFrontFacing" fragment state variable.
Unfortunately, some of the newest drivers are broken in new and different
ways. I'm using the NVidia windows driver version 84.12 (march 2006)
on my test machine and it works correctly on all counts.

If you prefer not to change your driver, you could also use the older
VMD GLSL shaders from VMD 1.8.4, but the quality of the output from the
new shader is much better (due to the use of glFrontFacing rather than
an old hack I used to use to get around broken video drivers...)

  John Stone
  vmd_at_ks.uiuc.edu

On Mon, Aug 28, 2006 at 09:57:39PM +0800, Guo Zhi wrote:
> Dear John:
> I just downloaded VMD 1.8.5, but I can not use its GLSL rendering
> function... the starting messages were shown as the following:
> Info) VMD for WIN32, version 1.8.5 (August 25, 2006)
> Info) http://www.ks.uiuc.edu/Research/vmd/
> Info) Email questions and bug reports to vmd_at_ks.uiuc.edu
> Info) Please include this reference in published work using VMD:
> Info) Humphrey, W., Dalke, A. and Schulten, K., `VMD - Visual
> Info) Molecular Dynamics', J. Molec. Graphics 1996, 14.1, 33-38.
> Info) -------------------------------------------------------------
> Info) OpenGL renderer: GeForce 6200 TurboCache(TM)/PCI/SSE2
> Info) Features: STENCIL MDE CVA MTX NPOT PP PS GLSL(OVF)
> Warning) GPU driver failed to compile shader:
> Warning) C:/Program Files/University of Illinois/VMD/shaders/vmd
> Warning) This GPU/driver is buggy, or doesn't fully implement GLSL.
> Warning) Set environment variable VMDGLSLVERBOSE for more info.
> Info) GLSL rendering mode is NOT available.
> Info) Textures: 2-D (4096x4096), 3-D (512x512x512), Multitexture (4)
>
> It seems that something is wrong with my graphic driver, but I
> have never changed my graphic card driver.
> VMD 1.8.4 works fine. I wonder is it possible for me to utilize
> VMD 1.8.5's new feature withou having to go back for an older version of
> graphic card driver??
>
> Thanks
>
> --
> From Shark
> ׫ˣ

-- 
NIH Resource for Macromolecular Modeling and Bioinformatics
Beckman Institute for Advanced Science and Technology
University of Illinois, 405 N. Mathews Ave, Urbana, IL 61801
Email: johns_at_ks.uiuc.edu                 Phone: 217-244-3349
  WWW: http://www.ks.uiuc.edu/~johns/      Fax: 217-244-6078